﻿using System.ServiceModel;
using System.ServiceModel.Web;

namespace WOLGateway.WCFServiceLibrary
{
    /// <summary>
    /// IWakeOnLan
    /// </summary>
    [ServiceContract]
    public interface IWakeOnLan
    {
        /// <summary>
        /// Sends a Wake-On-Lan packet to the specified MAC address
        /// </summary>
        /// <param name="macAddress">Physical MAC address to send WOL packet to.</param>
        /// <returns>Response message</returns>
        [OperationContract]
        [WebGet(UriTemplate = "SendMagicPacketTo/{macAddress}")]
        string SendMagicPacketTo(string macAddress);
    }
}